Go Down

Topic: Boardverwalter macht Probleme (Read 326 times) previous topic - next topic

Tibbi

Hallo,

ich bin eben mit der Arduino IDE auf Version 1.8.13 umgestiegen. In diesem Zuge wollte ich die ganzen Bibliotheken aktualisieren.

Bei der Boardverwaltung habe ich alles bis auf einen Eintrag aktualisieren können. Bei dem einen was sich geweigert hat dreht es sich um den Eintrag "Arduino AVR Boards". Installiert ist angeblich 1.8.2 und als neueste Version wird mir zur Installation angeboten wird ist die 1.8.1.

Deinstallieren geht leider nicht da unten links der Fehler "java.lang.NullPointerException" erscheint.

Wie bekomme ich das in Griff?


Doc_Arduino

Hallo,

dir wird immer wieder"Arduino AVR Boards" zum aktualisieren angeboten bzw. die IDE teilt dir das mit?
Oder schaust du selbst nach?

Aktuell ist derzeit 1.8.3.


Ansonsten vielleicht die IDE nochmal komplett neu installieren.
Tschau
Doc Arduino '\0'

Messschieber auslesen: http://forum.arduino.cc/index.php?topic=273445
EA-DOGM Display - Demos: http://forum.arduino.cc/index.php?topic=378279

uwefed


Tommy56

Weil 1.8.3 die Version der AVR-Cores ist und 1.8.13 die Version der IDE.

Gruß Tommy
"Wer den schnellen Erfolg sucht, sollte nicht programmieren, sondern Holz hacken." (Quelle unbekannt)

uwefed

aha
Wieder was dazugelernt.
[grummel] Müssen die da aber so ähnliche Versionsnummern vergeben [/grummel]
Grüße Uwe

my_xy_projekt

[grummel] Müssen die da aber so ähnliche Versionsnummern vergeben [/grummel]
Offensichtlich werden nicht bei jedem SoftwareRelease die Core mit aktuallisiert.
https://www.arduino.cc/en/Main/ReleaseNotes
Quote
[core]
* Updated AVR core to 1.8.3:
  - Wire class now supports timeout
  - Upgraded avr-gcc to 7.3.0-atmel3.6.1-arduino7

Tibbi

Also mir wird die nicht von alleine angeboten. Wenn ich mir die Liste anzeigen lasse welche Aktualisieren gehen, wird mir gesagt ich hab die 1.8.2 und in der Liste in der ich wählen kann ist keine neuere.

Tommy56

Dann läuft bei Dir was falsch. Bei mir wird sie in den älteren Versionen angeboten. Bei den neuen ist sie schon installiert.

Gruß Tommy
"Wer den schnellen Erfolg sucht, sollte nicht programmieren, sondern Holz hacken." (Quelle unbekannt)

my_xy_projekt

Bei mir wird sie in den älteren Versionen angeboten. Bei den neuen ist sie schon installiert.
Der core kam "erst" mit IDE 1.8.13

@TO:
Du schreibst "umgestiegen".
Auf welchem BS und wie betreibst Du die IDE? als installierte Version und bei der Aktuallisierung das selbe Installationsverzeichnis benutzt oder nicht? Als "portable" Version?

Doc_Arduino hat ja in #1 schon geschrieben ggfls. einmal neu anfangen.

Tommy56

Der core kam "erst" mit IDE 1.8.13
Ich meinte damit, dass ich ihn auch in den älteren Versionen (8 portable) jetzt zur Installation angeboten bekomme.

Gruß Tommy
"Wer den schnellen Erfolg sucht, sollte nicht programmieren, sondern Holz hacken." (Quelle unbekannt)

Tibbi

Ich steige bei einem Versionswechsel der IDE (Win7) immer über den Installer um.

Doc_Arduino

Hallo,

die installierte IDE selbst kann man nur durch Neuinstallation "updaten", mir ist keine eingebaute Updatefunktion bekannt, wie man das vielleicht von anderer Software her kennt. Ich hoffe wir reden über die Installerversion von dieser Seite hier und nicht über den Windows-Store. Letztere Möglichlichkeit macht laut Forum tatsächlich öfters Probleme wie man schon lesen musste.

Den "AVR Core" dagegen kann man nur in der IDE selbst updaten. Wenn das nicht möglich ist, würde ich sagen wollen, dann hat die IDE eine Macke bzw. das mitgelieferte Java. Warum auch immer.

Du kannst auch die IDE 1.8.12 installieren. Wenn du nicht gerade den C++ 14 Sprachstandard verwenden möchtest, wirst du keinen Unterschied merken. Wenn C++ 11 nicht mehr reicht kann man immer noch darüber nachdenken. Wobei ich ja der Meinung bin das avr-gcc 7.3 schon länger in der IDE verfügbar war und nicht erst seit IDE 1.8.13 enthalten ist. Irgenwie fehlt mir da was in der IDE Release Note. Ich kann aber auch etwas verwechseln.

Ich hoffe damit kein Gedankenkaos ausgelöst zu haben ...
Tschau
Doc Arduino '\0'

Messschieber auslesen: http://forum.arduino.cc/index.php?topic=273445
EA-DOGM Display - Demos: http://forum.arduino.cc/index.php?topic=378279

Tibbi

Also die IDE hole ich mir ausschließlich hier von der Seite, also das Original.

Dann werde ich vielleicht doch mal den Versuch machen die 1.8.12 nochmal zu installieren.

Grüße

Tibbi

Tibbi

Ich habe jetzt alles restlos deinstalliert und die letzte Version aufgespielt. Die Libs wieder installiert und die Boards ergänzt inkl meiner Projekte reinkopiert. Nun geht wieder alles.

Doc_Arduino

Hallo,

schön zu hören, ich freue mich mit dir.
Tschau
Doc Arduino '\0'

Messschieber auslesen: http://forum.arduino.cc/index.php?topic=273445
EA-DOGM Display - Demos: http://forum.arduino.cc/index.php?topic=378279

Go Up